export class Format {
  id?: number;
  name: string;
  mapServerType: string;
  fileExtension: string;

  constructor(format?: IFormat) {
    if (format) {
      if (format.id) {
        this.id = format.id;
      }
      this.name = format.name;
      this.mapServerType = format.mapServerType;
      this.fileExtension = format.fileExtension;
    } else {
      this.name = '';
      this.mapServerType = '';
      this.fileExtension = '';
    }
  }
}

export class FormatRO {
  formats: Format[];
  totalCount: number;

  constructor(formats, totalCount) {
    this.formats = formats;
    this.totalCount = totalCount;
  }
}

export interface IFormat {
  id: number;
  name: string;
  mapServerType: string;
  fileExtension: string;
}
