import { HttpInterceptor, HttpRequest, HttpHandler, HttpEvent } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

@Injectable()
export class AuthInterceptor implements HttpInterceptor {

  intercept(
    req: HttpRequest<any>,
    next: HttpHandler,
  ): Observable<HttpEvent<any>> {
    const xsrfToken = localStorage.getItem('xsrfToken');
    let request = req;

    // && req.url.includes('https://data-intothesky.alpha.grandlyon.com/authentication/api/logout'
    if (xsrfToken) {
      request = req.clone({
        headers: req.headers.set('x-xsrf-token', xsrfToken),
      });
    }
    return next.handle(request);
  }
}
